Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gecco.communication.messages
Class ActionCompletedMessage

    java.lang.Object
      gecco.communication.messages.Message
          gecco.communication.messages.ActionCompletedMessage

public class ActionCompletedMessage
extends Message

This message is put in the send queue on the server part of the communication, when the server calls actionCompleted

Author:
  Niklas Hallenfur, Karl Hasselström

Field Summary
`long` | `handle` Description of the Field

Constructor Summary
`ActionCompletedMessage(long handle)` Constructor for the ActionCompletedMessage object

Method Summary
`static Message` | `read(DataInput in)` This factory method reads a message of this type without an initial ID from the input stream, and returns a `Message` object.
`void` | `write(DataOutput out)` This method writes the message to the given `DataOutput`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### handle

    public long handle

  Description of the Field

Constructor Detail

### ActionCompletedMessage

    public ActionCompletedMessage(long handle)

  Constructor for the ActionCompletedMessage object

Parameters:
  `handle` - Description of Parameter

Method Detail

### write

    public void write(DataOutput out)
               throws IOException

  This method writes the message to the given `DataOutput`.

  Specified by:
    `write` in class `Message`
  Parameters:
    `out` - The output stream.
  Throws:
    `IOException` - In case something goes wrong.

### read

    public static Message read(DataInput in)
                        throws IOException

  This factory method reads a message of this type without an initial ID from the input stream, and returns a `Message` object.

  Parameters:
    `in` - The input stream.
  Returns:
    An instance of `Message`.
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD